import { NextResponse } from "next/server";
import { checkAccessTokenIsValid } from "@/apifetchers/mutual/cookies/token";

export async function GET() {
  try {
    const token = await checkAccessTokenIsValid();
    if (token) {
      return NextResponse.json({ status: 200 });
    }
  } catch (error) {
    console.error("Error checking token:", error);
  }
  return NextResponse.json({ status: 401 });
}
